import { BaseCatalogChart } from './base';
import { ApiObject, GroupVersionKind } from 'cdk8s';
export declare class CatalogSystemChart extends BaseCatalogChart {
    template(): {
        apiVersion: string;
        kind: string;
        metadata: {
            name: string;
            description: string;
            annotations: {
                [key: string]: string;
            };
        };
        spec: {
            owner: `${string}:${string}`;
            domain: string;
        };
    };
    instanceApiObject(template: any): ApiObject;
    gvk(): GroupVersionKind;
}
